Skip to main content
POST
/
v1
/
subscriptions
Create a subscription
curl --request POST \
  --url https://api.useduro.com/v1/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "<string>",
  "planId": "<string>",
  "paymentMethodId": "<string>",
  "metadata": {}
}
'
{
  "id": "<string>",
  "planId": "<string>",
  "currentPeriodStart": "<string>",
  "currentPeriodEnd": "<string>",
  "cyclesCompleted": 123,
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

Body

application/json
customerId
string
required
planId
string
required
paymentMethodId
string
metadata
object

Response

201 - application/json

Created

id
string
status
enum<string>
Available options:
incomplete,
trialing,
active,
past_due,
paused,
unpaid,
canceled,
expired
planId
string
currentPeriodStart
string | null
currentPeriodEnd
string | null
cyclesCompleted
integer
createdAt
string